
#ifndef _DETH_H_
#define _DETH_H_


#ifndef __CHARACTR_H__
#include "charactr.h"
#endif
#ifndef __ENEMIES_H__
#include "enemies.h"
#endif

#define RUNFLAGS_FORCETOFRONT	(64)

//void deathKill(CHARACTER *pC);

extern int deathDying;
extern int deathSkip;

enum
{
	DEATH_REASON_TEST,
	DEATH_REASON_PERSUIT_DOG_MAUL,
	DEATH_REASON_SLEEPY_DOG_MAUL,
	DEATH_REASON_MRST_INLIGHT,
	DEATH_REASON_MRST_LOOM,
	DEATH_REASON_MRT_LOOM,
	DEATH_REASON_HARMFUL_PLATFORM,
	DEATH_REASON_DEADLY_PLATFORM,
	DEATH_REASON_GUARDDOG_SEEN,	// The rats are seen in the lounge
	DEATH_REASON_MRT_SEEN,		// The rats are seen in the piebarn
	DEATH_REASON_FELL_OUT_OF_WORLD,	// Valid example - Rocky falls down a hole in the cogchase. Also prevents bugs from stalling the game
};

void deathKill(CHARACTER *pC, int reason, ENEMY *pE);

void deathPoll(void);
void deathScreenAdd(int b, int g, int r, int transp, int depth);
void deathDraw();
void deathDontDie(void);

#endif
